


package com.yc.ship.module.resource.controller.admin.company.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 供应商精简 VO")
@Data
public class CompanySimpleRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14401")
    private String id;

    @Schema(description = "供应商名称", example = "王五")
    private String companyName;

    @Schema(description = "供应商简称", example = "王五")
    private String shortName;

    @Schema(description = "供应商类型（内部供应商、外部供应商）", example = "1")
    private String companyType;

}