package com.yc.ship.module.resource.controller.admin.guidegroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 导游分组新增/修改 Request VO")
@Data
public class GuideGroupSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "5148")
    private String id;

    @Schema(description = "父级ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "5148")
    private String parentId;

    @Schema(description = "分组名称", example = "张三")
    private String name;

    @Schema(description = "分组编号")
    private String groupCode;

    @Schema(description = "排序")
    private Integer sort;

}