package com.yc.ship.module.resource.controller.admin.guidegroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Schema(description = "管理后台 - 导游分组精简信息 Response VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GuideGroupSimpleRespVO {

    @Schema(description = "类型ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11")
    private String id;

    @Schema(description = "类型名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "一分组")
    private String name;

    @Schema(description = "父类型id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private String parentId;


}
