package com.yc.ship.module.resource.controller.admin.productBase.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 基础产品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBasePageReqVO extends PageParam {

    @Schema(description = "基础产品名称", example = "门票")
    private String name;

    @Schema(description = "项目ID", example = "1")
    private Long projectId;

    @Schema(description = "规格ID", example = "1")
    private Long specId;

    @Schema(description = "产品ID", example = "1")
    private Long productId;

    @Schema(description = "供应商名称", example = "xxx公司")
    private String supplierName;

    @Schema(description = "启用状态", example = "1")
    private Integer useStatus;

}