package com.yc.ship.module.resource.controller.admin.suppliercategory.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 资源供应商与资源类型关联 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SupplierCategoryRespVO {

    @Schema(description = "供应商主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6415")
    @ExcelProperty("供应商主键")
    private Long supplierId;

    @Schema(description = "资源类型主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "18619")
    @ExcelProperty("资源类型主键")
    private Long categoryId;

}