package com.yc.ship.module.resource.dal.mysql.suppliercategory;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.mybatis.core.mapper.BaseMapperX;
import com.yc.ship.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.yc.ship.module.resource.controller.admin.suppliercategory.vo.SupplierCategoryPageReqVO;
import com.yc.ship.module.resource.dal.dataobject.suppliercategory.SupplierCategoryDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 资源供应商与资源类型关联 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface SupplierCategoryMapper extends BaseMapperX<SupplierCategoryDO> {

    default PageResult<SupplierCategoryDO> selectPage(SupplierCategoryPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SupplierCategoryDO>()
                .orderByDesc(SupplierCategoryDO::getSupplierId));
    }

}