package com.yc.ship.module.resource.controller.admin.car.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 车辆选项列表 VO")
@Data
public class CarOptionListVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29172")
    private String id;

    @Schema(description = "车牌号")
    private String carNo;

    @Schema(description = "默认驾驶员表ID", example = "3571")
    private String driverId;
}