package com.yc.ship.module.resource.dal.dataobject.suppliercategory;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 资源供应商与资源类型关联 DO
 *
 * @author 管理员
 */
@TableName("product_supplier_category")
@KeySequence("product_supplier_category_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierCategoryDO {

    /**
     * 供应商主键
     */

    private Long supplierId;
    /**
     * 资源类型主键
     */

    private Long categoryId;

}